# Class SupportedQueryValidator

#### Hierarchy

- SupportedQueryValidator

#### Implements

- QueryValidator

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/SupportedQueryValidator.d.ts:13

#####
Index

### Constructors

constructor

### Properties

mod
queryable

## Constructors

### constructor

- new SupportedQueryValidator(mod): SupportedQueryValidator

- #### Parameters

  - ##### mod: Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>

  #### Returns SupportedQueryValidator

  - Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/SupportedQueryValidator.d.ts:15

## Properties

### `Protected` `Readonly` mod

mod: Module<ModuleParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.module.config";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<undefined, "schema">, "schema"> & {
schema: string;
}, "schema">, undefined>, ModuleEventData>

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/SupportedQueryValidator.d.ts:14

### queryable

queryable: Queryable<SchemaFields & PayloadFields & BoundWitnessFields & {
query: string;
resultSet?: string;
schema: "network.xyo.boundwitness";
}>

Implementation of QueryValidator.queryable

- Defined in modules/packages/module/packages/abstract/dist/types/QueryValidator/SupportedQueryValidator.d.ts:16

Generated using TypeDoc